Director {
  Name = bacula-dir
  Description = "Bacula director"
  DIRport = 9101
  DIRAddress = 127.0.0.1
  QueryFile = "/etc/bacula/scripts/query.sql"
  WorkingDirectory = "/var/lib/bacula/"
  PidDirectory = "/var/run/bacula/"
  Maximum Concurrent Jobs = 1
  Password = "rMdLp0iuFrcIm76gKtoLNdXS0d3QguFQMsdbe"
    # Matchea con la password del recurso director en la bconsole
  Messages = Standard
}
Storage {
  Name = bacula-disco
  Address = 127.0.0.1             # No usar "localhost"
  SDPort = 9103
  Password = "4yD7iA06kFEdPlTX6VZbwI3e3vAD6w37xIxI0X9GK"
    # Matchea con la password del recurso storage en bacula-sd.conf
  Device = FileStorage
  Media Type = File
}
Catalog {
  Name = catalogo
  dbname = "bacula"; dbuser = "root"; dbpassword = "delteveo"
}
Messages {
  Name = Standard
  mailcommand = "/usr/lib/bacula/bsmtp
        -h localhost
        -s \"Bacula: %t %e %n %i %c %l\"
        operador@[192.168.5.5]"
  operatorcommand = "/usr/lib/bacula/bsmtp
        -h localhost
        -s \"ADVERTENCIA OPERADOR: %t %e %i %c %l %j %r job: %n\"
        operador@[192.168.5.5]"
  Mail = operador@[192.168.5.5] = all, !skipped, !terminate
  append = "/var/lib/bacula/info.log" = info, terminate
  append = "/var/lib/bacula/error_warning.log" = error, warning, !terminate, notsaved
  append = "/var/lib/bacula/all.log" = all
  operator = operador@[192.168.5.5] = mount
  console = error, warning, !terminate
}
JobDefs{
  Name = "default_backup_job"
  Type = Backup
  Storage = bacula-disco
  Messages = Standard
  Priority = 10
         # Es la opcion por defecto, a mayor numero, menor la prioridada
  Reschedule on error = yes
  Reschedule interval = 1 hour
  Reschedule times = 1
  Max Start Delay = 8 hours
}

Client {
  Name = uncliente-fd
  Address = 192.168.4.19
  FDPort = 9102
  Catalog = catalogo
  Password = "bW1y-lR7XbvQ5aC6DIQuCMvsD9d0Uzcrg"
  File Retention = 30 days
  Job Retention = 2 months
}


FileSet {
  Name = "uncliente-fs"
  Include {
     Options {
       signature = MD5
       compression=GZIP9
     }
    File = /etc
  }
}

Schedule {
  Name = "uncliente_schedule"
  Run = Full 1st sun at 23:05
  Run = Differential 2nd-5th sun at 23:05
  Run = Incremental mon-sat at 23:05
}

Pool {
  Name = uncliente-full
  Pool Type = Backup
  Recycle = yes
  AutoPrune = yes
  Volume Retention = 7 weeks
  #Accept Any Volume = yes
  Recycle Oldest Volume = yes
  Maximum Volume Jobs = 1
  Label Format = Uncliente-Full-
  Maximum Volumes = 2
}
Pool {
  Name = uncliente-inc
  Pool Type = Backup
  Recycle = yes
  AutoPrune = yes
  Volume Retention = 6 days
  #Accept Any Volume = yes
  Recycle Oldest Volume = yes
  Maximum Volume Jobs = 1
  Label Format = Uncliente-Inc-
  Maximum Volumes = 6
}
Pool {
  Name = uncliente-diff
  Pool Type = Backup
  Recycle = yes
  AutoPrune = yes
  Volume Retention = 4 weeks
  #Accept Any Volume = yes
  Recycle Oldest Volume = yes
  Maximum Volume Jobs = 1
  Label Format = Uncliente-Diff-
  Maximum Volumes = 4
}
Job {
  Name = "backup_uncliente"
  JobDefs = "default_backup_job"
  Client = uncliente-fd
  Schedule = "uncliente_schedule"
  FileSet = uncliente-fs
  Write Bootstrap = "/var/lib/bacula/uncliente.bsr"
  Pool = uncliente-inc
  # Dumy pool, porque se sobreescribe en el schedule
}
